.sticky-add-to-cart {
  position: fixed;
  left: 0;
  top: 85dvh;
  z-index: 9999;
  width: 100vw;
  height: 80px;
  padding: 10px;
  display: none;
  transition: opacity 0.3s ease-in-out;

  .sticky-add-to-cart__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #ffffff;
    border-radius: 5px;
    width: 100%;
    height: 80px;
    padding: 0 8px;
    box-shadow: 1px 1px 10px 1px rgb(0, 0, 0, 0.2);

    button {
      height: 40px;
      width: 82px;
    }

    .sticky-add-to-cart__content__product-info {
      display: flex;
      gap: 8px;
      min-width: 0;

      .sticky-add-to-cart__content__image {
        height: 100%;
        display: flex;
        align-items: center;

        img {
          min-width: 55px;
        }
      }

      .sticky-add-to-cart__content__product-info__title__price {
        min-width: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;

        .sticky-add-to-cart__content__title {
          font-size: 16px;
          font-weight: 400;
          color: #000000;
          display: flex;
          align-items: center;
          margin-right: 20px;
          
          p {
            min-width: 0;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }
      }

    }

  }
}

.sticky-faded {
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

@media (max-width: 768px) {
  .sticky-add-to-cart {
    display: block;
  }
}